package com.icontrols.kakao.socket.wallpad;

import java.net.InetAddress;
import java.util.Calendar;
import java.util.GregorianCalendar;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.icontrols.kakao.common.SERVERINFO;

public class LogMsgHandler extends Thread {
	private static final Logger logger = LoggerFactory.getLogger(LogMsgHandler.class);

	// 생성자
	public LogMsgHandler() {
	}

	public void run() {
		try {
			while (true) {

				Calendar cal = new GregorianCalendar();
				if (cal.get(Calendar.MINUTE) == 0 && (cal.get(Calendar.SECOND) == 0 || cal.get(Calendar.SECOND) == 1)) {

					// reset
					if (cal.get(Calendar.HOUR) == 0) {

					}
				}
				Thread.sleep(1000);
				// PingTest();
			}
		} catch (Exception e) {

			logger.error("message : " + e);
		}
	}

	public boolean PingTest() {
		try {
			InetAddress inet = InetAddress.getByName("hdc-smart.com");

			if (inet.isReachable(500) == true) {
				logger.error(SERVERINFO.SendEventURL + " ping Host is reachable");
				return true;
			} else {
				logger.error(SERVERINFO.SendEventURL + " ping Host is NOT reachable");
			}

			// http://112.220.212.226

			InetAddress inet2 = InetAddress.getByName("112.220.212.226");

			if (inet2.isReachable(500) == true) {
				logger.error("http://112.220.212.226" + " ping Host is reachable");
				return true;
			} else {
				logger.error("http://112.220.212.226" + " ping Host is NOT reachable");
			}
		} catch (Exception e) {
			logger.error("message : " + e);
		}

		return false;

	}

}
